### Method

# AppStream Pool get_components_by_kind

#### Declaration [src]

    AsComponentBox*
    as_pool_get_components_by_kind (
      AsPool* pool,
      AsComponentKind kind
    )

#### Description [src]

Return a list of all components in the pool which are of a certain kind.

#### Parameters

`kind`

  Type: `AsComponentKind`

  An `AsComponentKind`.

#### Return value

Type: `AsComponentBox`

An `AsComponentBox` of found components.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.